---
apiVersion: v1
kind: PersistentVolume
metadata:
  annotations:
    pv.kubernetes.io/provisioned-by: kubevirt.io.hostpath-provisioner
    volume.kubernetes.io/provisioner-deletion-secret-name: ""
    volume.kubernetes.io/provisioner-deletion-secret-namespace: ""
  creationTimestamp: "2025-10-29T12:25:50Z"
  finalizers:
  - external-provisioner.volume.kubernetes.io/finalizer
  - kubernetes.io/pv-protection
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:pv.kubernetes.io/provisioned-by: {}
          f:volume.kubernetes.io/provisioner-deletion-secret-name: {}
          f:volume.kubernetes.io/provisioner-deletion-secret-namespace: {}
        f:finalizers:
          .: {}
          v:"external-provisioner.volume.kubernetes.io/finalizer": {}
      f:spec:
        f:accessModes: {}
        f:capacity:
          .: {}
          f:storage: {}
        f:claimRef: {}
        f:csi:
          .: {}
          f:driver: {}
          f:fsType: {}
          f:volumeAttributes:
            .: {}
            f:csi.storage.k8s.io/pv/name: {}
            f:csi.storage.k8s.io/pvc/name: {}
            f:csi.storage.k8s.io/pvc/namespace: {}
            f:storage.kubernetes.io/csiProvisionerIdentity: {}
            f:storagePool: {}
          f:volumeHandle: {}
        f:nodeAffinity:
          .: {}
          f:required: {}
        f:persistentVolumeReclaimPolicy: {}
        f:storageClassName: {}
        f:volumeMode: {}
    manager: csi-provisioner
    operation: Update
    time: "2025-10-29T12:25:50Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:phase: {}
    manager: kube-controller-manager
    operation: Update
    subresource: status
    time: "2025-10-29T12:25:50Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:claimRef:
          f:name: {}
          f:namespace: {}
          f:resourceVersion: {}
          f:uid: {}
    manager: virt-cdi-controller
    operation: Update
    time: "2025-10-29T12:26:19Z"
  name: pvc-8c08ab45-c53e-4959-a7de-5b540cf9bd7c
  resourceVersion: "2177206"
  uid: 39941c35-db4b-4a56-9df5-9d50e63c5781
spec:
  accessModes:
  - ReadWriteOnce
  capacity:
    storage: 99Gi
  claimRef:
    name: vm-for-product-upgrade-hos-1761740748-0381238
    namespace: test-upgrade-namespace
    resourceVersion: "2177181"
    uid: f39344e9-c9b3-4ab8-8533-086294d6caed
  csi:
    driver: kubevirt.io.hostpath-provisioner
    fsType: xfs
    volumeAttributes:
      csi.storage.k8s.io/pv/name: pvc-8c08ab45-c53e-4959-a7de-5b540cf9bd7c
      csi.storage.k8s.io/pvc/name: tmp-pvc-f39344e9-c9b3-4ab8-8533-086294d6caed
      csi.storage.k8s.io/pvc/namespace: openshift-virtualization-os-images
      storage.kubernetes.io/csiProvisionerIdentity: 1761738964322-1906-kubevirt.io.hostpath-provisioner-cnvqe-070.lab.eng.tlv2.redhat.com
      storagePool: hpp-csi-pvc-block
    volumeHandle: pvc-8c08ab45-c53e-4959-a7de-5b540cf9bd7c
  nodeAffinity:
    required:
      nodeSelectorTerms:
      - matchExpressions:
        - key: topology.hostpath.csi/node
          operator: In
          values:
          - cnvqe-070.lab.eng.tlv2.redhat.com
  persistentVolumeReclaimPolicy: Delete
  storageClassName: hostpath-csi-pvc-block
  volumeMode: Filesystem
status:
  lastPhaseTransitionTime: "2025-10-29T12:25:50Z"
  phase: Bound
